## rdoc1.8-f95 20060815

=== Makefile ===
all:

doc:
	rdoc --op doc --title "RDoc-F95 Documentations" \
	--charset euc-jp --inline-source --line-numbers \
	--main README.ja \
	README README.ja README.org *.rb */*.rb */*/*.rb

clean: clean-doc
	test "`find . -name '*~'`" = "" || rm `find . -name '*~'`

clean-doc:
	test ! -d doc || rm -rf -v doc

patch:
	if [ ! -d patch_dir ] ; then \
	    mkdir patch_dir ;\
	    cd patch_dir ;\
	    cvs -d :pserver:anonymous@cvs.ruby-lang.org:/src login ;\
	    cvs -z4 -d :pserver:anonymous@cvs.ruby-lang.org:/src co ruby ;\
	fi
	cd patch_dir/ruby ; cvs update
	test -L patch_dir/ruby/lib/rdoc-f95 || \
		eval "cd patch_dir/ruby/lib ; ln -s ../../../ rdoc-f95"
	cd patch_dir/ruby ; \
	diff \
		--exclude=rdoc \
		--exclude=parse_c.rb \
		--exclude=parse_rb.rb \
		--exclude=install.rb \
		--exclude=README* \
		--exclude=Makefile \
		--exclude=*~ \
		--exclude=CVS \
		--exclude=patch_dir \
		--exclude=rdoc-cvs.patch \
		--exclude=rdoc-cvs.patch.tmp \
		-Nur lib/rdoc/ lib/rdoc-f95/ > ../../rdoc-cvs.patch.tmp \
		|| true
	sed "s|^diff.*$$|diff -Nur lib/rdoc/ lib/rdoc-`date +%Y-%m-%d`/|" rdoc-cvs.patch.tmp > rdoc-cvs.patch
	rm rdoc-cvs.patch.tmp

clean-patch:
	-rm -v rdoc-cvs.patch.tmp rdoc-cvs.patch
	-rm -v -rf patch_dir/ruby
	-rmdir patch_dir

## rdoc1.8-f95 20060814

=== debian/changelog ===
rdoc1.8-f95 (20060814) unstable; urgency=low

  * Initial Release.

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 10 Aug 2006 14:34:07 +0900

Local variables:
mode: change-log
End:

=== debian/control ===
Source: rdoc1.8-f95
Section: doc
Priority: optional
Maintainer: Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rdoc1.8-f95
Architecture: all
Pre-Depends: ruby1.8, rdoc1.8
Depends: irb1.8, libruby1.8
Suggests: graphviz, libmathml-ruby
Recommends:
Replaces: rdoc1.8
Description: Generate documentation from Ruby and Fortran 90/95 source files (for Ruby 1.8)
 RDoc-F95 - Enhanced version of RDoc Fortran 90/95 parser:
  * Generates structured HTML and XML documentation from Fortran 90/95 source,
    Ruby source and C extensions.
  * Automatically extracts main programs, subroutines, functions,
    variables, constants, derived types, defined operators, defined
    assignments, NAMELIST group names in Fortran 90/95 source, and
    extracts class, module, method, and attribute
    definitions in Ruby source.
    These can be annotated using inline comments.
  * Analyzes accessibility of entities in Fortran 90/95 source,
    and method visibility in Ruby source.
  * Handles aliasing.
  * Uses non-intrusive and implicit markup in the comments. Readers of
    the original source needn't know that it is marked up at all.
 .
 This RDoc-F95 package is the RDoc package applied the patch that
 enhances Fortran 90/95 parser developed by GFD Dennou Club dcmodel project.
 Please visit dcmodel project web site,
 http://www.gfd-dennou.org/library/dcmodel .

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export RUBY_VERSION=1.8

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: #configure
	dh_testdir
	# Add here commands to configure the package.

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/gt4f90io.sgml > gt4f90io.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
#	$(MAKE) distclean
#	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gt4f90io.
	ruby$(RUBY_VERSION) install.rb \
		--libdir $(CURDIR)/debian/rdoc$(RUBY_VERSION)-f95/usr/lib/ruby/1.8/ \
		--bindir $(CURDIR)/debian/rdoc$(RUBY_VERSION)-f95/usr/bin/ \
		--binname rdoc$(RUBY_VERSION)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rdoc1.8-f95 20060815

=== debian/changelog ===
rdoc1.8-f95 (20060815) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 14 Aug 2006 17:30:33 +0900

## rdoc1.8-f95 20061115

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,18 @@
 all:
 
-doc:
-	rdoc --op doc --title "RDoc-F95 Documentations" \
+doc: doc-stamp
+	rdoc -U --op doc --title "RDoc-F95 Documentations" \
 	--charset euc-jp --inline-source --line-numbers \
 	--main README.ja \
-	README README.ja README.org *.rb */*.rb */*/*.rb
+	README README.ja README.org *.rb */*.rb */*/*.rb || eval "rm $< ; false"
+	rm $<
 
-clean: clean-doc
+doc-stamp:
+	touch $@
+
+clean:
 	test "`find . -name '*~'`" = "" || rm `find . -name '*~'`
+	test -f doc-stamp || rm doc-stamp
 
 clean-doc:
 	test ! -d doc || rm -rf -v doc

=== debian/changelog ===
rdoc1.8-f95 (20061115) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 16 Nov 2006 04:24:28 +0900

rdoc1.8-f95 (20061114) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 14 Nov 2006 06:14:50 +0900

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 
 Package: rdoc1.8-f95
 Architecture: all
-Pre-Depends: ruby1.8, rdoc1.8
+Pre-Depends: ruby1.8
 Depends: irb1.8, libruby1.8
 Suggests: graphviz, libmathml-ruby
 Recommends:
-Replaces: rdoc1.8
+Replaces:
 Description: Generate documentation from Ruby and Fortran 90/95 source files (for Ruby 1.8)
  RDoc-F95 - Enhanced version of RDoc Fortran 90/95 parser:
   * Generates structured HTML and XML documentation from Fortran 90/95 source,

=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,17 @@
 	INSTALL_PROGRAM += -s
 endif
 
+RUBYLIBORG:=$(shell find -regex '.*\.\(xsl\|rb\)' | grep -v install.rb | grep -v usage.rb| sed -e "s/^\.\///g")
+
 config.status: #configure
 	dh_testdir
 	# Add here commands to configure the package.
 
-build: build-stamp
+build: debian/rdoc1.8-f95.postrm debian/rdoc1.8-f95.preinst build-stamp
+
+%: %.in
+	cat $< | sed -e "s|@RDOCORGLIB@|$(RUBYLIBORG)|" > $@
+
 
 build-stamp:  config.status
 	dh_testdir

## rdoc1.8-f95 20061116

=== debian/changelog ===
rdoc1.8-f95 (20061116) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 16 Nov 2006 04:27:29 +0900

## rdoc1.8-f95 20061119

=== debian/changelog ===
rdoc1.8-f95 (20061119) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 20 Nov 2006 03:06:39 +0900

## rdoc1.8-f95 20061120

=== debian/changelog ===
rdoc1.8-f95 (20061120) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 20 Nov 2006 05:44:06 +0900

## rdoc1.8-f95 20070112-1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,18 @@
+RUBY=ruby
+DOCTMP=doc-tmp
+
 all:
 
 doc: doc-stamp
-	rdoc -U --op doc --title "RDoc-F95 Documentations" \
-	--charset euc-jp --inline-source --line-numbers \
-	--main README.ja \
-	README README.ja README.org *.rb */*.rb */*/*.rb || eval "rm $< ; false"
-	rm $<
+	test -d $(DOCTMP) || mkdir $(DOCTMP)
+	ln -s ../ $(DOCTMP)/rdoc
+	RUBYLIB=./$(DOCTMP) \
+	    $(RUBY) ./rdoc -U --op doc --title "RDoc-F95 Documentations" \
+	    --charset euc-jp --inline-source --line-numbers \
+	    --main README.ja \
+	    README README.ja README.org *.rb */*.rb */*/*.rb || eval "rm $< $(DOCTMP)/rdoc ; rmdir $(DOCTMP) ; false"
+	rm $< $(DOCTMP)/rdoc
+	rmdir $(DOCTMP)
 
 doc-stamp:
 	touch $@

=== debian/changelog ===
rdoc1.8-f95 (20070112-1) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 12 Jan 2007 21:46:20 +0900

rdoc1.8-f95 (20070109) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 10 Jan 2007 01:02:32 +0900

rdoc1.8-f95 (20070105) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri,  5 Jan 2007 23:53:51 +0900

rdoc1.8-f95 (20061215) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 15 Dec 2006 01:35:05 +0900

rdoc1.8-f95 (20061213) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 13 Dec 2006 22:35:25 +0900

## rdoc1.8-f95 20080309-1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,11 @@
 	    --charset euc-jp --inline-source --line-numbers \
 	    --main README.ja \
 	    README README.ja README.org *.rb */*.rb */*/*.rb || eval "rm $< $(DOCTMP)/rdoc ; rmdir $(DOCTMP) ; false"
+	if [ -f doc/rdoc-style.css ] ; then \
+	    echo '' >> doc/rdoc-style.css ;\
+	    echo 'img{vertical-align: middle;}' >> doc/rdoc-style.css ;\
+	    echo '' >> doc/rdoc-style.css ;\
+	fi
 	rm $< $(DOCTMP)/rdoc
 	rmdir $(DOCTMP)

=== debian/changelog ===
rdoc1.8-f95 (20080309-1) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  9 Mar 2008 13:30:01 +0900

rdoc1.8-f95 (20070309) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 10 Mar 2007 13:51:10 +0900

rdoc1.8-f95 (20070227) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 27 Feb 2007 17:29:44 +0900
